-- Disclaimer
-- Dieser Quellcode ist als Vorlage oder als Ideengeber gedacht. Er kann frei und ohne 
-- Auflagen oder Einschrnkungen verwendet oder verndert werden.
-- Jedoch wird keine Garantie bernommen, dass eine Funktionsfhigkeit mit aktuellen und 
-- zuknftigen API-Versionen besteht. Der Autor bernimmt daher keine direkte oder indirekte 
-- Verantwortung, wenn dieser Code gar nicht oder nur fehlerhaft ausgefhrt wird.
-- Fr Anregungen und Fragen stehe ich jedoch gerne zur Verfgung.

-- Thorsten Kansy, www.dotnetconsulting.eu

USE [dotnetconsulting_TemporalTables];
GO

-- 10 New Temportal Table.sql ausfhren

-- Verionierung ausschalten (Historien-Tabelle bleibt bestehen)
ALTER TABLE dbo.Werte SET (SYSTEM_VERSIONING = OFF);

-- Alle Einschrnkungen, etc. entfernen!
-- ALTER TABLE [dbo].[Werte] DROP CONSTRAINT [DF__Werte__StartTime__37A5467C]

-- Umwandlung zur Disk-based Table
ALTER TABLE dbo.Werte DROP PERIOD FOR SYSTEM_TIME

ALTER TABLE dbo.Werte DROP COLUMN StartTime;
ALTER TABLE dbo.Werte DROP COLUMN EndTime;