-- Disclaimer
-- Dieser Quellcode ist als Vorlage oder als Ideengeber gedacht. Er kann frei und ohne 
-- Auflagen oder Einschrnkungen verwendet oder verndert werden.
-- Jedoch wird keine Garantie bernommen, dass eine Funktionsfhigkeit mit aktuellen und 
-- zuknftigen API-Versionen besteht. Der Autor bernimmt daher keine direkte oder indirekte 
-- Verantwortung, wenn dieser Code gar nicht oder nur fehlerhaft ausgefhrt wird.
-- Fr Anregungen und Fragen stehe ich jedoch gerne zur Verfgung.

-- Thorsten Kansy, www.dotnetconsulting.eu

USE dotnetconsulting_TemporalTables;
GO

-- Transaktion damit keine nderungen stattfinden ohne aktive Versionierung stattfinden 
BEGIN TRANSACTION;
ALTER TABLE dbo.Werte SET (SYSTEM_VERSIONING = OFF);
TRUNCATE TABLE dbo.Werte; -- Fehler, wenn SYSTEM_VERSIONING = ON
TRUNCATE TABLE dbo.Werte_History; -- Fehler, wenn SYSTEM_VERSIONING = ON
DELETE dbo.Werte_History; -- Fehler, wenn SYSTEM_VERSIONING = ON

ALTER TABLE dbo.Werte SET (SYSTEM_VERSIONING = ON (HISTORY_TABLE = dbo.Werte_History));
COMMIT TRANSACTION;